/*  GnuPOS.h                           */
/*  header file for global data        */

#define VERSION "0.01x"

/*  First, the pointers to the windows */
/*  At this stage, I'm being bad, and  */
/*  causing these to all be substantiated */
/*  at start time.                     */

typedef struct
{
  GtkWidget *GnuPOS;
  GtkWidget *Entry;
  GtkWidget *about_dialog;
  GtkWidget *property_dialog;

  /* Commandline options  */
  int   display_keyvals;
  int   verbose_status;
  int   program_debug;
} gnp_global_data_struct;

/* Prototypes  */

/* from GnuPOSRealStuff */
void gnp_do_exit(void);
void gnp_setup_property_dialog(void);
void gnp_initialise_topbox(void);
void gnp_topbox_erase_all(void);
void gnp_topbox_insert_char(gchar);
void gnp_topbox_insert_string(gchar *);
void gnp_topbox_resize(void);
void gnp_topbox_refont(void);
void gnp_initialise_rightbox(void);
void gnp_rightbox_erase_all(void);
void gnp_rightbox_insert_char(gchar);
void gnp_rightbox_insert_string(gchar *);
void gnp_autohist_resize(void);
void gnp_rightbox_refont(void);
void gnp_rightbox_hide(void);
void gnp_initialise_leftbox(void);
void gnp_leftbox_erase_all(void);
void gnp_leftbox_insert_char(gchar);
void gnp_leftbox_insert_string(gchar *);
void gnp_leftbox_refont(void);

/* from GnuPOSkeyboard */
void gnp_initialise_tables(void);

/* from GnuPOSprocessing */
void gnp_process_keystroke(guint);
void gnp_change_state(guint);
