#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "GnuPOS.h"

extern gnp_global_data_struct gnp_global_data;


void
gnp_open_menu_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
gnp_save_menu_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
gnp_exit_menu_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gnp_do_exit();
}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
gnp_pref_menu_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gnp_setup_property_dialog();
}


void
gnp_about_menu_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  if(gnp_global_data.about_dialog == NULL)
  {
    /*  create about dialog  */
    gnp_global_data.about_dialog = create_about1();
  }
  gtk_widget_show (gnp_global_data.about_dialog);
}


void
gnp_help_button_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
gnp_open_button_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
gnp_save_button_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
gnp_print_button_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{

}


void
gnp_pref_button_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  gnp_setup_property_dialog();
}


void
gnp_quit_button_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  gnp_do_exit();
}

gboolean
gnp_messagebox_key_release_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data)
{
  gnp_process_keystroke(event->keyval);
  return FALSE;
}


void
gnc_topbox_height_changed              (GtkEditable     *editable,
                                        gpointer         user_data)
{
  gnp_topbox_resize();
}

void
gnp_topboxfont_font_set                (GnomeFontPicker *gnomefontpicker,
                                        gchar           *arg1,
                                        gpointer         user_data)
{
  gnp_topbox_refont();
}

gint
gnp_about_dialog_close_cb              (GnomeDialog     *gnomedialog,
                                        gpointer         user_data)
{
  gnp_global_data.about_dialog = NULL;
  return FALSE;
}


gint
gnp_property_dialog_close_cb           (GnomeDialog     *gnomedialog,
                                        gpointer         user_data)
{
  gnp_global_data.property_dialog = NULL;
  return FALSE;
}


void
gnp_leftboxfont_font_set               (GnomeFontPicker *gnomefontpicker,
                                        gchar           *arg1,
                                        gpointer         user_data)
{

}


void
gnp_rightboxfont_font_set              (GnomeFontPicker *gnomefontpicker,
                                        gchar           *arg1,
                                        gpointer         user_data)
{
  gnp_rightbox_refont();
}

void
gnp_topbox_width_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
  gnp_topbox_resize();
}


void
gnp_autohist_height_changed            (GtkEditable     *editable,
                                        gpointer         user_data)
{
  gnp_autohist_resize();
}


void
gnp_autoprompt_hide_checkbox_toggled   (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  gnp_rightbox_hide();
}


void
gnp_history_checkbox_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{

}


void
gnp_percentage_scale_drag_end          (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gpointer         user_data)
{
  gnp_autohist_resize();
}

